GuidesAPI Reference
API Reference

Creates a rule

Creates a rule of the specified rule type and with the defined threshold. After the rule has been created, it needs to be associated to a device to get activated.

Detention rule

For a rule of the detention type the threshold is defined as a duration in seconds. A DETENTION_STARTED event gets triggered when the device has remained stationary for longer than the threshold duration. A DETENTION_ENDED event will be generated when the device starts moving again.

Utilization rule

For a rule of the utilization type the threshold is defined as a duration in seconds. An UNUTILIZED event will be generated when the device has been stationary for longer than the threshold duration, and UTILIZED event gets triggered when the device starts moving again after having been stationary.

Dwelling rule

For a rule of the dwelling type the threshold is defined as a duration in seconds. A DWELLING_STARTED event gets triggered when a dwelling time of the device inside any device-associated geofence exceeds the threshold duration. When the device exits the geofence, a DWELLING_ENDED event will be generated.

Online rule

For a rule of the online type there is no threshold defined. A TRUE_TO_FALSE event gets triggered when the device is late for the planned ingestion schedule by more than 5 minutes. A FALSE_TO_TRUE event is generated when the device starts ingesting again after having been offline. The planned ingestion schedule needs to be configured in the device desired shadow (the desired.system.powerSave.sendMs or desired.system.rate.sendMs property).

Stock rule

For a rule of the stock type the threshold is defined as minVolume and/or maxVolume values. When creating a stock rule, also a geofence ID needs to be specified. When the number of devices inside the specified geofence exceeds maxVolume, an OVERSTOCK event will be generated. Similarly, when the number of devices inside the specified geofence gets below minVolume, an UNDERSTOCK event will be generated. When the number of devices inside the specified geofence is between minVolume and maxVolume, a NORMAL_VOLUME event will be generated. Note that the stock rule only gets triggered for devices that are associated to the specified geofence. There can be up to 10 stock rules in a tracking project.

Shipment estimate change

For a rule of the shipmentEtaChange type the threshold is defined as a ETD/ETA estimation deviation in seconds. A SHIPMENT_ESTIMATE_CHANGED event gets triggered when the new ETD/ETA estimates values differ from the previous estimates more than the defined threshold. If the segmentEtaChange property is set to true, then the event is triggered from segment level ETD/ETA estimate changes, not from shipment level ETD/ETA estimate changes.

Shipment schedule rule

For a rule of the shipmentSchedule type there are before and after deviation time thresholds from the planned shipment ETD/ETA. A SHIPMENT_EARLY event gets triggered when the shipment is ahead of schedule by the number of before seconds. A SHIPMENT_DELAYED event gets triggered when the shipment is behind schedule by the number of after seconds. A SHIPMENT_ON_TIME event gets triggered when the shipment is on time.

When a rule has been successfully created, the response body will contain the created rule ID.

Query Params
string
length between 1 and 50

Project ID. Any HERE Tracking user must be a member of a Tracking project. The project ID can be implicitly resolved if the user calling the API is a member of a single project. If the user is a member of multiple projects, the projectId query parameter needs to be specified explicitly.

Body Params
Headers
uuid

ID used for correlating requests within HERE Tracking. Used for logging and error reporting.

Must be a valid UUIDv4.

Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json